Articles of python

Не удалось запустить cloud-init при запуске после обновления до Python 3.6

Я установил Python 3.6 вместо выпуска по умолчанию 3.5 на новом облачном сервере (Ubuntu 16.04). После того, как я перезапустил сервер, я обнаружил, что он не смог запустить cloud-init при запуске со следующими ошибками в syslog . Sep 20 16:16:14 cloud-init[1310]: Traceback (most recent call last): Sep 20 16:16:14 cloud-init[1310]: File “/usr/bin/cloud-init”, line 9, in […]

Выполнение нескольких программ из одной программы

У меня есть 12 программ, которые я намерен запускать одновременно. Есть ли способ запустить все из них через одну программу, которая при построении запускает 12 программ? Я использую возвышенное, а программы – python.

конвертировать целое число в дату в название месяца с помощью python

У меня есть эта строка ‘2013-07-01’ и я хочу конвертировать ее до July 1, 2013 Как это сделать с помощью python? Спасибо!

Не удается установить Django 2 Beta 1 на Ubuntu Server 16.04

Я пытаюсь установить Django 2 beta 1 на Ubuntu Server 16.04, используя командную строку, показанную на странице загрузки Django, без успеха. Данная командная строка: pip install –pre django но когда я запускаю ее, она пытается установить Django 1.11.6. ( Downloading Django-1.11.6-py2.py3-none-any.whl (6.9MB) ) Кто-нибудь знает, как я могу успешно установить бета-версию?

python manage.py syncdb не работает с «Неправильноконфигурированный: нет модуля с именем« psycopg2 »

В настоящее время я выполняю эти шаги, чтобы установить мой первый сервер Digital Ocean с Ubuntu 14 x32 и Django 1.7, используя Python 3.4. Я новичок в Ubuntu и Digitial Ocean, хотя я развился в Unix несколько лет назад. У меня проблема с Postgres и Django при запуске syncdb . (Примечание. Я установил свой virtualenv […]

Тензорный stream на ubuntu 17.10 «хитрый» не удается

tensorflow работал над версией 1.6, хотя нетерпеливое выполнение не сработало, тогда я не установил shadoworflow через pip uninstall tensorflow , а затем установил через pip install tensorflow , я получил ошибку инструкции (kernel сбрасывал) при import tensorflow as tf . нота! Я обновил Ubuntu с 17.xx до 17.10, умело удаляя и устанавливая. то я сделал […]

Вручную установить пакет дистрибутива python, имеющий IOError: проверка CRC не выполнена

Я использую ubuntu 12.04, и я хотел сначала включить ubuntu. Поэтому я запустил ubuntuone-control-panel-qt . Затем он сказал ImportError: No module named pkg_resources . Решения, которые я нашел в Интернете, говорят, что это можно устранить, переустановив пакет распространения python. Поэтому я использовал curl -O http://python-distribute.org/distribute_setup.yp а затем python distribute_setup.py Но появилось раздражающее сообщение, в котором […]

error: (-215) nimages> 0 в функции calibrateCamera с использованием Python и OpenCV

Я пытаюсь выполнить калибровку своей веб-камеры на основе примера, приведенного в образцах opencv, но когда я запускаю приведенный здесь код: def caliLeftCam(): args, img_mask = getopt.getopt(sys.argv[1:], ”, [‘save=’, ‘debug=’, ‘square_size=’]) args = dict(args) try: img_mask = img_mask[0] except: img_mask = ‘../cpp/img*.jpg’ img_names = glob(img_mask) debug_dir = args.get(‘–debug’) square_size = float(args.get(‘–square_size’, 1.0)) pattern_size = (7, 5) […]

Обновление Python в системе создает проблему в virtualenv – не найти независимые от платформы библиотеки

Я обновился с Ubuntu 14.04 до Ubuntu 16.04 а python3 изменился с 3.4.3 до 3.5.2 . (Я использую 64 bit Ubuntu) У меня была виртуальная среда с использованием python3. Теперь, когда я иду в эту среду и пытаюсь запустить приложение Flask или даже использовать pip, он дает ошибку Could not find platform independent libraries Could […]

Отсутствует Python.h и невозможно найти

Я знаю, что уже есть аналогичные вопросы о пропавшем Python.h, но до сих пор не работало. Мне нужны библиотеки Python, чтобы использовать Tossim, который является симулятором tinyOS ( http://tinyos.net ). Python, похоже, уже установлен на моей системе Ubuntu 12.04. Фактически всякий раз, когда я запускаю команду $ python -V Я получаю вывод 2.7.3 В любом […]